﻿using System;
using System.Linq;
using System.Text;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using TabControlSample.SampleData;

namespace TabControlSample
{
    public class MainViewModel
    {
        public MainViewModel()
        {
            sampleDataSource = new SampleDataSource();
            GenerateGroupsData();
        }

        public ObservableCollection<HeaderedGroupCollection> Groups { get; set; }

        private void GenerateGroupsData()
        {
            Groups = new ObservableCollection<HeaderedGroupCollection>();

            foreach (Item item in sampleDataSource.Collection)
            {
                HeaderedGroupCollection group = FindGroup(item.Header);
                if (group == null)
                {
                    group = new HeaderedGroupCollection() { Header = item.Header };
                    Groups.Add(group);
                }
                group.Add(item);
            }
        }

        private HeaderedGroupCollection FindGroup(string header)
        {
            HeaderedGroupCollection foundGroup = null;
            foreach (HeaderedGroupCollection group in Groups)
            {
                if (group.Header == header)
                {
                    foundGroup = group;
                    break;
                }
            }
            return foundGroup;
        }

        private readonly SampleDataSource sampleDataSource;
    }


    public class HeaderedGroupCollection : ItemCollection
    {
        public string Header { get; set; }
    }
}
