﻿
namespace TabControlSample.SampleData
{
    public class SampleDataSource : System.ComponentModel.INotifyPropertyChanged
    {
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;

        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }

        public SampleDataSource()
        {
            try
            {
                System.Uri resourceUri = new System.Uri("/TabControlSample;component/SampleData/SampleDataSource.xaml", System.UriKind.Relative);
                if (System.Windows.Application.GetResourceStream(resourceUri) != null)
                {
                    System.Windows.Application.LoadComponent(this, resourceUri);
                }
            }
            catch (System.Exception)
            {
            }
        }

        private ItemCollection _Collection = new ItemCollection();

        public ItemCollection Collection
        {
            get
            {
                return this._Collection;
            }
        }
    }

    public class Item : System.ComponentModel.INotifyPropertyChanged
    {
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;

        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }

        private string _Header = string.Empty;

        public string Header
        {
            get
            {
                return this._Header;
            }

            set
            {
                if (this._Header != value)
                {
                    this._Header = value;
                    this.OnPropertyChanged("Header");
                }
            }
        }

        private string _Name = string.Empty;

        public string Name
        {
            get
            {
                return this._Name;
            }

            set
            {
                if (this._Name != value)
                {
                    this._Name = value;
                    this.OnPropertyChanged("Name");
                }
            }
        }

        private bool _IsActive = false;

        public bool IsActive
        {
            get
            {
                return this._IsActive;
            }

            set
            {
                if (this._IsActive != value)
                {
                    this._IsActive = value;
                    this.OnPropertyChanged("IsActive");
                }
            }
        }

        private string _Address = string.Empty;

        public string Address
        {
            get
            {
                return this._Address;
            }

            set
            {
                if (this._Address != value)
                {
                    this._Address = value;
                    this.OnPropertyChanged("Address");
                }
            }
        }

        private string _Phone = string.Empty;

        public string Phone
        {
            get
            {
                return this._Phone;
            }

            set
            {
                if (this._Phone != value)
                {
                    this._Phone = value;
                    this.OnPropertyChanged("Phone");
                }
            }
        }

        private string _Email = string.Empty;

        public string Email
        {
            get
            {
                return this._Email;
            }

            set
            {
                if (this._Email != value)
                {
                    this._Email = value;
                    this.OnPropertyChanged("Email");
                }
            }
        }
    }

    public class ItemCollection : System.Collections.ObjectModel.ObservableCollection<Item>
    {
    }

}
